Loading...
Searching...
No Matches
Encoding Options

## Control parameters

Macros for setting encoder options.
#define | OPE_SET_DECISION_DELAY(x)
#define | OPE_GET_DECISION_DELAY(x)
#define | OPE_SET_MUXING_DELAY(x)
#define | OPE_GET_MUXING_DELAY(x)
#define | OPE_SET_COMMENT_PADDING(x)
#define | OPE_GET_COMMENT_PADDING(x)
#define | OPE_SET_SERIALNO(x)
#define | OPE_GET_SERIALNO(x)
#define | OPE_SET_PACKET_CALLBACK(x, u)
#define | OPE_SET_HEADER_GAIN(x)
#define | OPE_GET_HEADER_GAIN(x)
#define | OPE_GET_NB_STREAMS(x)
#define | OPE_GET_NB_COUPLED_STREAMS(x)

## Detailed Description

## Macro Definition Documentation

## OPE_SET_DECISION_DELAY

#define OPE_SET_DECISION_DELAY | ( |  | x | ) |

Value:
OPE_SET_DECISION_DELAY_REQUEST, ope_check_int(x)

## OPE_GET_DECISION_DELAY

#define OPE_GET_DECISION_DELAY | ( |  | x | ) |

Value:
OPE_GET_DECISION_DELAY_REQUEST, ope_check_int_ptr(x)

## OPE_SET_MUXING_DELAY

#define OPE_SET_MUXING_DELAY | ( |  | x | ) |

Value:
OPE_SET_MUXING_DELAY_REQUEST, ope_check_int(x)

## OPE_GET_MUXING_DELAY

#define OPE_GET_MUXING_DELAY | ( |  | x | ) |

Value:
OPE_GET_MUXING_DELAY_REQUEST, ope_check_int_ptr(x)

## OPE_SET_COMMENT_PADDING

#define OPE_SET_COMMENT_PADDING | ( |  | x | ) |

Value:
OPE_SET_COMMENT_PADDING_REQUEST, ope_check_int(x)

## OPE_GET_COMMENT_PADDING

#define OPE_GET_COMMENT_PADDING | ( |  | x | ) |

Value:
OPE_GET_COMMENT_PADDING_REQUEST, ope_check_int_ptr(x)

## OPE_SET_SERIALNO

#define OPE_SET_SERIALNO | ( |  | x | ) |

Value:
OPE_SET_SERIALNO_REQUEST, ope_check_int(x)

## OPE_GET_SERIALNO

#define OPE_GET_SERIALNO | ( |  | x | ) |

Value:
OPE_GET_SERIALNO_REQUEST, ope_check_int_ptr(x)

## OPE_SET_PACKET_CALLBACK

#define OPE_SET_PACKET_CALLBACK | ( |  | x,
|  |  | u )

Value:
OPE_SET_PACKET_CALLBACK_REQUEST, ope_check_packet_func(x), ope_check_void_ptr(u)

## OPE_SET_HEADER_GAIN

#define OPE_SET_HEADER_GAIN | ( |  | x | ) |

Value:
OPE_SET_HEADER_GAIN_REQUEST, ope_check_int(x)

## OPE_GET_HEADER_GAIN

#define OPE_GET_HEADER_GAIN | ( |  | x | ) |

Value:
OPE_GET_HEADER_GAIN_REQUEST, ope_check_int_ptr(x)

## OPE_GET_NB_STREAMS

#define OPE_GET_NB_STREAMS | ( |  | x | ) |

Value:
OPE_GET_NB_STREAMS_REQUEST, ope_check_int_ptr(x)

## OPE_GET_NB_COUPLED_STREAMS

#define OPE_GET_NB_COUPLED_STREAMS | ( |  | x | ) |

Value:
OPE_GET_NB_COUPLED_STREAMS_REQUEST, ope_check_int_ptr(x)